List environments
curl --request GET \
--url https://realtime-api.voiceflow.com/v1alpha1/project/{projectID}/environments \
--header 'authorization: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"alias": "<string>",
"isMain": true,
"releases": [
{
"name": "<string>",
"backupID": 123,
"createdAt": "<string>",
"versionID": "<string>",
"description": "<string>",
"autogenerated": true,
"createdByUserID": 123
}
],
"createdAt": "<string>",
"draftVersionID": "<string>",
"createdByUserID": 123,
"trafficPercentage": 50,
"nextReleaseNumber": 123,
"publishedVersionID": "<string>",
"draftVersionIDsHistory": [
"<string>"
]
}
]
}List environments
List all environments for the target assistant.
GET
/
v1alpha1
/
project
/
{projectID}
/
environments
List environments
curl --request GET \
--url https://realtime-api.voiceflow.com/v1alpha1/project/{projectID}/environments \
--header 'authorization: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"alias": "<string>",
"isMain": true,
"releases": [
{
"name": "<string>",
"backupID": 123,
"createdAt": "<string>",
"versionID": "<string>",
"description": "<string>",
"autogenerated": true,
"createdByUserID": 123
}
],
"createdAt": "<string>",
"draftVersionID": "<string>",
"createdByUserID": 123,
"trafficPercentage": 50,
"nextReleaseNumber": 123,
"publishedVersionID": "<string>",
"draftVersionIDsHistory": [
"<string>"
]
}
]
}Authorizations
Voiceflow API key
Path Parameters
ID of the project that owns the environments.
Response
200 - application/json
The environments for the target assistant.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Required range:
0 <= x <= 100Was this page helpful?
⌘I